summaryrefslogtreecommitdiffstats
path: root/regressions/test-guestfish-a.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2010-09-22 14:10:58 +0100
committerRichard W.M. Jones <rjones@redhat.com>2010-09-22 14:39:01 +0100
commitddda0f7bd00a37274dae38f4ce93955b8cfdf7d7 (patch)
tree0b743cb24323fca0e26b93af31991fe605476ecf /regressions/test-guestfish-a.sh
parente319b120acec1962319cca534d4504a8999135db (diff)
downloadlibguestfs-ddda0f7bd00a37274dae38f4ce93955b8cfdf7d7.tar.gz
libguestfs-ddda0f7bd00a37274dae38f4ce93955b8cfdf7d7.tar.xz
libguestfs-ddda0f7bd00a37274dae38f4ce93955b8cfdf7d7.zip
Test guestfish -a and guestfish -d options.
Since these options were both broken in released version 1.5.17, best to have a regression test to catch this in future.
Diffstat (limited to 'regressions/test-guestfish-a.sh')
-rwxr-xr-xregressions/test-guestfish-a.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/regressions/test-guestfish-a.sh b/regressions/test-guestfish-a.sh
new file mode 100755
index 00000000..8e990eda
--- /dev/null
+++ b/regressions/test-guestfish-a.sh
@@ -0,0 +1,28 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test guestfish -a option.
+
+set -e
+
+rm -f test.img
+
+truncate -s 10M test.img
+guestfish -a test.img </dev/null
+
+rm -f test.img